   function [IN]=AIRSS(presic,presit,vessel)
% IN - Ice Numeral
% Ca - concentration in tenths of ice type "a"
% IM a - Ice Multiplier for ice type "a" (refer to the Ice Multiplier Table on either page 11 or page 5 in the AIRSS Standards)

%Sea Ice Thickness [nlat nlon ntime]
T = presit;
%Sea Ice Concentration
C = ceil(presic)/10;
%Ice Multiplier
IM=nan(size(T));

% derive IM for vessel
% CAC 3
if(strcmp(vessel,'CAC 4'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(find(T(i,j)>=0&&T(i,j)<=1.51))
                IM(i,j)=2;
            elseif(T(i,j)>=1.51&&T(i,j)<1.89)
                IM(i,j)=1;
            else
                IM(i,j)=-1;
            end 
        end
    end
end

% CAC 4
if(strcmp(vessel,'CAC 4'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(find(T(i,j)>=0&&T(i,j)<=1.2))
                IM(i,j)=2;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=1;
            elseif(T(i,j)>=1.51&&T(i,j)<1.89)
                IM(i,j)=-2;
            else
                IM(i,j)=-3;
            end 
        end
    end
end

% Type A
if(strcmp(vessel,'Type A'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(find(T(i,j)>=0&&T(i,j)<=0.7))
                IM(i,j)=2;
            elseif(T(i,j)>0.7&&T(i,j)<=1.2)
                IM(i,j)=1;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=-1;
            elseif(T(i,j)>=1.51&&T(i,j)<1.89)
                IM(i,j)=-3;
            else
                IM(i,j)=-4;
            end 
        end
    end
end

% Type B
if(strcmp(vessel,'Type B'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(T(i,j)>=0&&T(i,j)<=0.15)
                IM(i,j)=2;
            elseif(T(i,j)>0.7&&T(i,j)<=0.15)
                IM(i,j)=1;
            elseif(T(i,j)>=0.7&&T(i,j)<1.2)
                IM(i,j)=-1;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=-2;
            else
                IM(i,j)=-4;
            end 
        end
    end
end

% Type C
if(strcmp(vessel,'Type C'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(T(i,j)>=0&&T(i,j)<=0.15)
                IM(i,j)=2;
            elseif(T(i,j)>0.5&&T(i,j)<=0.15)
                IM(i,j)=1;
            elseif(T(i,j)>=0.5&&T(i,j)<0.7)
                IM(i,j)=-1;
            elseif(T(i,j)>=0.7&&T(i,j)<1.2)
                IM(i,j)=-2;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=-3;
            else
                IM(i,j)=-4;
            end 
        end
    end
end

% Type D
if(strcmp(vessel,'Type D'))
   for i=1:(size(T,1))
        for j=1:size(T,2)
            if(T(i,j)>=0&&T(i,j)<=0.15)
                IM(i,j)=2;
            elseif(T(i,j)>0.15&&T(i,j)<=0.3)
                IM(i,j)=1;
            elseif(T(i,j)>=0.5&&T(i,j)<0.7)
                IM(i,j)=-1;
            elseif(T(i,j)>=0.7&&T(i,j)<1.2)
                IM(i,j)=-2;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=-3;
            else
                IM(i,j)=-4;
            end 
        end
    end
end

% Type E
if(strcmp(vessel,'Type E'))
    for i=1:(size(T,1))
        for j=1:size(T,2)
            if(T(i,j)>=0&&T(i,j)<=0.10)
                IM(i,j)=2;
            elseif(T(i,j)>0.1&&T(i,j)<=0.15)
                IM(i,j)=1;
            elseif(T(i,j)>=0.15&&T(i,j)<0.7)
                IM(i,j)=-1;
            elseif(T(i,j)>=0.7&&T(i,j)<1.2)
                IM(i,j)=-2;
            elseif(T(i,j)>=1.2&&T(i,j)<1.51)
                IM(i,j)=-3;
            else
                IM(i,j)=-4;
            end 
        end
    end
end

% derive IM for vessel
IN = C.*IM + (10-C)*2;

end

