function [ Vr ] = SPEED_RASTER( sic,sit,Pe,V,L,D,B)
%SPEED_RASTER for container ship

% For a container ship
kc = 4.4;
b = -0.8267;
n = 2;

% Density [kg/m^3]
d_sea = 1025.91; 
d_ice = 920;

%Gravity
g = 9.80665;

sic=sic/100;

%Csw
Rsw = Pe./V; 
S = 2.9*(L*B*D*D)^0.5; 
Csw = Rsw./(0.5*d_sea*S*V.^2); 
a = 0.5*d_sea*S.*Csw; 

%Rice
Fr = V./(g*sit.*sic).^0.5;
C = kc * (Fr).^(b);
Rice =  0.5 * C * d_ice * B .* sit .* (sic).^n .* V.^2 ; 

% Vr
Vr=zeros(size(sit));
pos = find(V^2 >= Rice/a);
Vr(pos) = (V^2 - Rice(pos)/a).^(1/2);

end


